{
 "actions": [],
 "creation": "2020-01-23 13:44:59.248426",
 "editable_grid": 1,
 "engine": "InnoDB",
 "field_order": [
  "type",
  "link_to",
  "url",
  "pg_view",
  "kanban_board",
  "column_break_4",
  "label",
  "icon",
  "restrict_to_domain",
  "report_ref_pagetype",
  "section_break_5",
  "stats_filter",
  "column_break_3",
  "color",
  "format"
 ],
 "fields": [
  {
   "fieldname": "type",
   "fieldtype": "Select",
   "in_list_view": 1,
   "label": "Type",
   "options": "PageType\nReport\nPage\nDashboard\nURL",
   "reqd": 1
  },
  {
   "depends_on": "eval:pg.type != \"URL\"",
   "fieldname": "link_to",
   "fieldtype": "Dynamic Link",
   "in_list_view": 1,
   "label": "Link To",
   "options": "type"
  },
  {
   "depends_on": "eval:pg.type == \"PageType\"",
   "description": "Which view of the associated PageType should this shortcut take you to?",
   "fieldname": "pg_view",
   "fieldtype": "Select",
   "in_list_view": 1,
   "label": "PageType View",
   "options": "\nList\nReport Builder\nDashboard\nTree\nNew\nCalendar\nKanban"
  },
  {
   "fieldname": "column_break_4",
   "fieldtype": "Column Break"
  },
  {
   "fieldname": "label",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "Label",
   "reqd": 1
  },
  {
   "fieldname": "icon",
   "fieldtype": "Attach Image",
   "label": "Icon"
  },
  {
   "depends_on": "eval:jingrow.boot.developer_mode",
   "fieldname": "restrict_to_domain",
   "fieldtype": "Link",
   "label": "Restrict to Domain",
   "options": "Domain"
  },
  {
   "depends_on": "eval:pg.type == \"PageType\"  && jingrow.boot.developer_mode",
   "fieldname": "section_break_5",
   "fieldtype": "Section Break",
   "label": "Count Filter"
  },
  {
   "fieldname": "stats_filter",
   "fieldtype": "Code",
   "label": "Count Filter",
   "options": "JSON"
  },
  {
   "fieldname": "column_break_3",
   "fieldtype": "Column Break"
  },
  {
   "fieldname": "color",
   "fieldtype": "Color",
   "label": "Color"
  },
  {
   "description": "For example: {} Open",
   "fieldname": "format",
   "fieldtype": "Data",
   "label": "Format"
  },
  {
   "depends_on": "eval:pg.type == \"URL\"",
   "fieldname": "url",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "URL"
  },
  {
   "depends_on": "eval:pg.pg_view == \"Kanban\"",
   "fieldname": "kanban_board",
   "fieldtype": "Link",
   "label": "Kanban Board",
   "options": "Kanban Board"
  },
  {
   "fieldname": "report_ref_pagetype",
   "fieldtype": "Link",
   "label": "Report Ref PageType",
   "options": "PageType",
   "read_only": 1
  }
 ],
 "grid_page_length": 50,
 "index_web_pages_for_search": 1,
 "istable": 1,
 "links": [],
 "modified": "2025-05-23 22:33:58.022107",
 "modified_by": "Administrator",
 "module": "Desk",
 "name": "Workspace Shortcut",
 "owner": "Administrator",
 "pagetype": "PageType",
 "permissions": [],
 "quick_entry": 1,
 "row_format": "Dynamic",
 "sort_field": "modified",
 "sort_order": "DESC",
 "states": [],
 "track_changes": 1
}